version: '3'
services:
  code2lab:
    build: .
    links:
      - redis
    command: bundle exec puma -C config/puma.rb
    volumes:
      - .:/sxrestaurant
    env_file:
      - .code2lab.env
    ports:
      - '8081:62158'
    environment:
      - REDIS_URL=redis://redis:6379/0
  sidekiq:
    build: .
    command: bundle exec sidekiq -C config/sidekiq.yml
    links:
       - redis
    volumes:
       - .:/sxrestaurant
    environment:
      - REDIS_URL=redis://redis:6379/0

  redis:
    image: redis
    ports:
      - '6379:6379'
    volumes:
      - ../data/redis:/data
